aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/binutils.sh
diff options
context:
space:
mode:
authorWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
committerWilliam Harrington <kb0iic@berzerkula.org>2021-04-19 02:01:33 +0000
commitca7ec24a78f9bd8824da23be1c24a98a3c764f5f (patch)
treef8b56862b35c0765024a081f3814043d6b172453 /chapter8/binutils.sh
parent13f2c64995621d3180b468c4d525eff1eb8c9993 (diff)
Make adjustments for Odroid N2+ aarch64 build.
Diffstat (limited to 'chapter8/binutils.sh')
-rw-r--r--chapter8/binutils.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/chapter8/binutils.sh b/chapter8/binutils.sh
index e3fe6c5..43bf03b 100644
--- a/chapter8/binutils.sh
+++ b/chapter8/binutils.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
expect -c "spawn ls"
@@ -16,7 +17,8 @@ cd build || exit 1
--enable-64-bit-bfd \
--with-system-zlib &&
-make tooldir=/usr &&
+make tooldir=/usr \
+ "$([ "$(uname -m)" = aarch64 ] && echo -j5)" &&
make tooldir=/usr -j1 install &&